SocketStatus (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.SocketStatus class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tomcat.util.net
Enum SocketStatus

    java.lang.Object
      java.lang.Enum<SocketStatus>
          org.apache.tomcat.util.net.SocketStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SocketStatus>

    public enum SocketStatus

extends java.lang.Enum<SocketStatus>

Someone, please change the enum name.

Author:
  remm

Enum Constant Summary
`DISCONNECT`
`ERROR`
`OPEN`
`STOP`
`TIMEOUT`

Method Summary
`static SocketStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SocketStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPEN

    public static final SocketStatus OPEN

### STOP

    public static final SocketStatus STOP

### TIMEOUT

    public static final SocketStatus TIMEOUT

### DISCONNECT

    public static final SocketStatus DISCONNECT

### ERROR

    public static final SocketStatus ERROR

Method Detail

### values

    public static final SocketStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SocketStatus c : SocketStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SocketStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.